• Welcome
  • API Reference
Forecast
    Weather Forecastget
Precipitation Data
    Daily Precipitation DatagetHourly Precipitation DatagetMinutely Precipitation RategetLast N Hours Precipitation DatagetRecent Rain Eventget
Soil Data
    Daily Soil MoisturegetHourly Soil MoisturegetSoil TemperaturegetSnow Depthget
Atmospheric Data
    Air TemperaturegetSpecific HumiditygetRelative HumiditygetSurface PressuregetWind SpeedgetWind GustsgetWind DirectiongetCloud CovergetSolar Radiationget
Bulk Export
    Create Bulk Exportpost
Map Services
    Esri Image Server IntegrationgetMap Layer TilesgetQueryget
Embed Widgets
    Embeddable HTML UIget
Saved Locations
    List Saved LocationsgetSave a Locationpost
MCP Servers
    MCP ServerpostMCP Server (x402 Pay-per-use)post
Other endpoints
    MCP protected resource metadatagetMCP protected resource metadata for /mcpgetChatGPT plugin domain verificationgetRedirect to Dev PortalgetRedirect to new Dev PortalgetHourly Precipitation Data (x402)getMinutely Precipitation Rate (x402)getLast N Hours Precipitation Data (x402)getRecent Rain Event (x402)getDaily Soil Moisture (x402)getHourly Soil Moisture (x402)getHourly Soil Temperature 0-10cm (x402)getHourly Air Temperature (x402)getHourly Specific Humidity (x402)getHourly Relative Humidity (x402)getHourly Surface Pressure (x402)getHourly Wind Speed (x402)getHourly Wind Gust Speed (x402)getHourly Wind Direction (x402)getHourly Cloud Cover (x402)getHourly Solar Radiation (x402)getx402 (GET) via Orthogonalgetx402 (POST) via Orthogonalpost
Schemas
powered by Zuplo
Precipitation & Weather Data API
Precipitation & Weather Data API

Saved Locations

Endpointhttps://api.precip.ai

Read and add the locations saved in your Precip account


List Saved Locations

GET
https://api.precip.ai
/api/v1/locations

Your saved Precip locations, personal and from your organizations, with coordinates you can pass to the weather endpoints. Needs a personal API key or a sign-in with your Precip account.

List Saved Locations › query Parameters

name
​string

Only return locations whose name contains this text (not case-sensitive)

Example: north field

List Saved Locations › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

List Saved Locations › Responses

Your saved locations, sorted by name within each account

​object[]
truncated
​boolean

True when there are more than 500 matches; narrow the list with name

GET/api/v1/locations
curl --request GET \ --url https://api.precip.ai/api/v1/locations \ --header 'Authorization: <string>'
shell
Example Responses
{ "locations": [ { "id": "id", "name": "name", "latitude": 0, "longitude": 0, "org": { "id": "id", "name": "name" }, "canEdit": true } ], "truncated": true }
json
application/json

Save a Location

POST
https://api.precip.ai
/api/v1/locations

Save a new point location to your Precip account, or to one of your organizations. Each plan has a limit on saved locations; at the limit the request is refused with a link to upgrade.

Save a Location › Headers

Authorization
​string · required

The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Save a Location › Request Body

name
​string · maxLength: 200 · required

Name for the location

Example: North field
latitude
​number · min: -90 · max: 90 · required
longitude
​number · min: -180 · max: 180 · required
orgId
​string

Save to this organization instead of your personal account (an org.id from List Saved Locations)

Save a Location › Responses

The saved location

​object
POST/api/v1/locations
curl --request POST \ --url https://api.precip.ai/api/v1/locations \ --header 'Authorization: <string>' \ --header 'Content-Type: application/json' \ --data ' { "name": "North field", "latitude": 41.59, "longitude": -93.62, "orgId": "orgId" } '
shell
Example Request Body
{ "name": "North field", "latitude": 41.59, "longitude": -93.62, "orgId": "orgId" }
json
Example Responses
{ "location": { "id": "id", "name": "name", "latitude": 0, "longitude": 0, "org": { "id": "id", "name": "name" }, "canEdit": true } }
json
application/json

Embed WidgetsMCP Servers